
import si.mojeznanje.model.Lokacija;
import si.mojeznanje.model.Ograda;
import si.mojeznanje.model.OgradaSet;
import si.mojeznanje.service.ZapisovalecCesarkoli2;
import si.mojeznanje.service.ZapisovalecHibernate;
import si.mojeznanje.service.ip.IpApi;
import si.mojeznanje.service.ip.IpApiJersey;
import si.mojeznanje.view.VnosPodatkov;

import java.util.HashMap;
//https://we.tl/MC3kNSzFNU
public class Main {

    public static void main(String[] args) {


        OgradaSet ograda = null;
        VnosPodatkov vnosPodatkov = new VnosPodatkov();

        ZapisovalecHibernate hibernate = new ZapisovalecHibernate();

        ograda = hibernate.preberi(OgradaSet.class, 2);

        ograda.dodajZivali(vnosPodatkov.dodajVecZivali());
        ograda.izipisiVseZivali();

        HashMap<String, Object> upravljalec = new HashMap<String, Object>();

        upravljalec.put("ime", "Marko");
        upravljalec.put("starost", 55);
        upravljalec.put("priimek", "Kovac");

        ograda.setUpravljalec(upravljalec);

        hibernate.shrani(ograda);

        Lokacija lokacija = IpApiJersey.mojaLokacija();

        hibernate.shrani(lokacija);
    }
}
